/*
 * org 0xFFFF:0
 * length must be 16 bytes or less
 * moved later, by hand, into 0x3FFF0 in rom.bin
 */

#include "head.h"
#include "pcb.h"

#asm
	.text

	entry _reset
_reset:

	xor ax, ax
	mov ss, ax          ; keep nmi from trashing anything valuable

	; UCS: 256 kB, C0000 ... FFFFF. R=101: 1 waitstate, no RDY

	mov ax, # 0xC03D    ; XXX or 0xC03E ?
	mov dx, # UMCS
	out dx, PCB_AX

	jmpf 0x400, ROM     ; boot: in boot.c

