
#include "head.h"
#include "pcb.h"
#include "io.h"

#asm

	RINT equ 0x01
	TINT equ 0x02
	ERR  equ 0x70

; void uart_N_int((status << 8) | byte);

	export _uart_0_int
	export _uart_1_int
	export _uart_2_int
	export _uart_3_int
	export _uart_4_int

	.text

_uart_0_int:
	ret

/* d25 pins 2/3 */

_uart_1_int:
	test ah, # RINT
	jz .2
	test ah, # ERR
	jz .1
	br _putc_hex
.1:
	br _putc
.2:
	ret

_uart_2_int:
	ret

_uart_3_int:
	ret

_uart_4_int:
	ret

;----------------------------------------------------------------------
	.data

;----------------------------------------------------------------------
	.bss

